# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define section free
%define saajver  1.3

Name:           sun-saaj-1.3-api
Version:        1.3
Release:        4%{?dist}
Epoch:          0
Summary:        SAAJ API 1.3
License:        CDDL
Url:            https://jax-ws-sources.dev.java.net/
Source0:        http://download.java.net/maven/1/javax.xml.soap/java-sources/saaj-api-1.3-sources.jar

Source1:        http://download.java.net/maven/1/javax.xml.soap/poms/saaj-api-1.3.pom
Source2:        CDDLv1.0.html
Source3:        sun-saaj-1.3-api-manifest.mf
Source4:        sun-saaj-1.3-api-build.properties
Source5:        sun-saaj-1.3-api-build.xml


Group:          Development/Libraries/Java
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.7
BuildRequires:  jaf_1_1_api
BuildRequires:  qname_1_1_api
Requires:  java >= 0:1.6.0
Requires:  jaf_1_1_api
Requires:  qname_1_1_api
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
%if %{gcj_support}
BuildRequires:    java-gcj-compat-devel
Requires(post):   java-gcj-compat
Requires(postun): java-gcj-compat
%endif
Provides:       saaj_api = 0:%{saajver}
Provides:       saaj_1_3_api = 0:%{version}-%{release}
Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5

%description
The SOAP with Attachments API for Java (SAAJ) 1.3
according to JSR-67 MR3

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Provides:       saaj-javadoc = 0:%{saajver}

%description javadoc
%{summary}.

%prep
%setup -q -c 
mkdir -p src/java
mv javax src/java
cp %{SOURCE3} saaj.mf
cp %{SOURCE4} build.properties
cp %{SOURCE5} build.xml

%build
if [ -z "$JAVA_HOME" ]; then export JAVA_HOME=/usr/lib/jvm/java; fi
export CLASSPATH=$(build-classpath jaf_1_1_api qname_1_1_api)
ant -Dbuild.sysclasspath=only release

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 saaj.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
%add_to_maven_depmap javax.xml.soap saaj-api %{saajver} JPP %{name}

(cd $RPM_BUILD_ROOT%{_javadir} 
touch saaj_1_3_api.jar
touch saaj_api.jar
ln -sf %{name}-%{version}.jar %{name}.jar)

# poms
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -pm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/release/docs/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -pm 644 %{SOURCE2} \
           $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/CDDLv1.0.html

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap
/usr/sbin/update-alternatives --install %{_javadir}/saaj_1_3_api.jar saaj_1_3_api %{_javadir}/%{name}.jar 10300
/usr/sbin/update-alternatives --install %{_javadir}/saaj_api.jar saaj_api %{_javadir}/%{name}.jar 10300
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%preun
if [ "$1" = "0" ]; then
    /usr/sbin/update-alternatives --remove saaj_1_3_api %{_javadir}/%{name}.jar
    /usr/sbin/update-alternatives --remove saaj_api %{_javadir}/%{name}.jar
fi

%postun
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/CDDLv1.0.html
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%if %{gcj_support}
%dir %attr(-,root,root) %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/%{name}-%{version}.jar.*
%endif
%ghost %{_javadir}/saaj_1_3_api.jar
%ghost %{_javadir}/saaj_api.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Wed Sep 22 2010 Ralph Apel <r.apel at r-apel.de> - 0:1.3-4
- First JPP-6 release

* Tue Apr 21 2009 Ralph Apel <r.apel at r-apel.de> - 0:1.3-3.jpp5
- First JPP-5 release

* Fri Mar 28 2008 Ralph Apel <r.apel at r-apel.de> - 0:1.3-2jpp
- Touch, don't link, standard alternative files

* Thu Nov 08 2007 Ralph Apel <r.apel at r-apel.de> - 0:1.3-1jpp
- First release

